Bug 1411489 - RFE: add support for SRV records (RFC 2782)
Summary: RFE: add support for SRV records (RFC 2782)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ntp
Version: 6.8
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-09 20:27 UTC by SHAURYA
Modified: 2020-07-16 09:06 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-13 18:41:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description SHAURYA 2017-01-09 20:27:39 UTC
Description of problem:

NTP do not currently support configured SRV records (RFC 2782). 

Version-Release number of selected component (if applicable):

latest

How reproducible:


Steps to Reproduce:

<snip>
[root]# grep ^server /etc/ntp.conf /etc/chrony.conf
/etc/ntp.conf:server _ntp._udp.example.com
/etc/chrony.conf:server _ntp._udp.example.com

[root]# service ntpd start && service chronyd stop
[root]# ntpq -p
No association ID's returned
[root]# service chronyd start && service ntpd stop
[root]# chronyc sources
210 Number of sources  = 0
......
</snip>

Actual results:


Expected results:


Additional info: https://bugzilla.redhat.com/show_bug.cgi?id=1211600

Comment 2 Chris Williams 2017-06-13 18:41:59 UTC
Red Hat Enterprise Linux 6 transitioned to the Production 3 Phase on May 10, 2017.  During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.
 
The official life cycle policy can be reviewed here:
 
http://redhat.com/rhel/lifecycle
 
This issue does not appear to meet the inclusion criteria for the Production Phase 3 and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification.  Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:
 
https://access.redhat.com


Note You need to log in before you can comment on or make changes to this bug.